ROTD(8)

NAME
rotd - Hamlib rotator service daemon

SYNOPSIS
rpc.rotd [OPTION]...

DESCRIPTION
The rotd program is a Hamlib rotator daemon that handles RPC client requests. This allows multiple user programs to share one rotator. At this time multiple rotator support is not available (help needed!).

Keep in mind that Hamlib is BETA level software. While a lot of backend libraries lack complete rig support, the basic functions are usually well supported. The API may change without publicized notice, while an advancement of the minor version (e.g. 1.1.x to 1.2.x) indicates such a change.

Please report bugs and provide feedback at the e-mail address given in the REPORTING BUGS section. Patches and code enhancements are also welcome.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-').

Here is a summary of the supported options:

-m, --model=id
    Select rotator model number. See model list (use 'rotctl -l').
    NB: rotctl (or third party software) will use rotor model 101 when using rotd.

-r, --rot-file=device
    Use device as the file name of the port the rotator is connected. Often a serial port, but could be a USB to serial adapter. Typically /dev/ttyS0, /dev/ttyS1, /dev/ttyUSB0, etc.

-s, --serial-speed=baud
    Set serial speed to baud rate. Uses maximum serial speed from rotor backend as the default.

-C, --set-conf=parm=val[,parm=val]*
    Set config parameter. e.g. stop_bits=2
    Use -L option of rotctl for a list.

-t, --prog=number
    Use number as the RPC program number. The default is 536873369.

-v, --verbose
    Set verbose mode, cumulative (see DIAGNOSTICS below).

-h, --help
    Show summary of these options and exit.

-V, --version
    Show version of rpc.rotd and exit.

Please note that the backend for the rotator to be controlled, or the rotator itself may not support some commands. In that case, the operation will fail with a Hamlib error code.

EXAMPLES
Start rotd as root for a RotorEZ using a USB to serial adapter and backgrounding:

# rpc.rotd -m 401 -r /dev/ttyUSB1 &

Start rotd as root for a RotorEZ using COM1 while generating TRACE output:

# rpc.rotd -m 401 -r /dev/ttyS0 -vvvvv

Start rotd as root for a RotorEZ using a USB to serial adapter while setting baud rate and stop bits and backgrounding:

# rpc.rotd -m 401 -r /dev/ttyUSB1 -s 4800 -C stop_bits=2 &

DIAGNOSTICS
The -v, --version option allows different levels of diagnostics to be output to stderr and correspond to -v for BUG, -vv for ERR, -vvv for WARN, -vvvv for VERBOSE, or -vvvvv for TRACE.

A given verbose level is useful for providing needed debugging information to the email address below. For example, TRACE output shows all of the values sent to and received from the rotator which is very useful for rotator backend library development and may be requested by the developers.

SECURITY
No authentication whatsoever; could be done through domain restriction, though. Please ask if stronger security is needed.

BUGS
Does not support more than one communication device for multiple rotor control. (e.g. for Single Operator 2 Radio) Help needed!

REPORTING BUGS
Report bugs to <hamlib-developer@lists.sourceforge.net>.
We are already aware of the bug in the previous section :-)

AUTHORS
Written by Stephane Fillod and the Hamlib Group
<http://www.hamlib.org>.

COPYRIGHT
Copyright © 2000-2007 Stephane Fillod and the Hamlib Group. Contributed by Francois Retief <fgretief@sun.ac.za>.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
rotctl(1), hamlib(3)